<div class="header-email">
  <h5 class="header-user-status" *ngIf="status == 0" style="color: #28a745"> Пользователь подтвержден </h5>
  <h5 class="header-user-status" *ngIf="status == 1" style="color: #ff000e"> Пользователь отклонен </h5>
  <h5 class="header-user-status" *ngIf="status == 2" style="color: coral"> Пользователь ожидает модерации </h5>
  <span>
    Необходимо проверить договор на почте <span class="email">services.carsharing@gmail.com</span>
  </span>
  <br>
  <span> <span>от пользователя: </span> <span class="email">{{profileInfo.email}}</span></span>
</div>
<div class="data-info">
  <mat-accordion>
    <mat-expansion-panel>
      <mat-expansion-panel-header>
        <mat-panel-title>
          Личная информация
        </mat-panel-title>
      </mat-expansion-panel-header>
      <div>
        <p>Имя: <span class="bold-text">{{profileInfo.personal.name}}</span></p>
        <p>Фамилия: <span class="bold-text">{{profileInfo.personal.surname}}</span></p>
        <p>Отчество: <span class="bold-text">{{profileInfo.personal.second_name}}</span></p>
        <p>Дата рождения: <span class="bold-text"> {{profileInfo.personal.date}}</span></p>
        <p>Пол: <span class="bold-text" *ngIf="profileInfo.personal.gender == 'Gender.male'">Мужской</span><span
          class="bold-text" *ngIf="profileInfo.personal.gender == 'Gender.female'">Женский</span></p>
      </div>
    </mat-expansion-panel>
    <mat-expansion-panel (opened)="panelOpenState = true"
                         (closed)="panelOpenState = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Водительское удостовернеие
        </mat-panel-title>
      </mat-expansion-panel-header>
      <p>Номер: <span class="bold-text">{{profileInfo.license.number}}</span></p>
      <p>Серия: <span class="bold-text">{{profileInfo.license.serial}}</span></p>
      <p>Дата выдачи: <span class="bold-text">{{profileInfo.license.start_date}}</span></p>
      <p>Действителен до: <span class="bold-text">{{profileInfo.license.end_date}}</span></p>
    </mat-expansion-panel>
    <mat-expansion-panel (opened)="panelOpenState = true"
                         (closed)="panelOpenState = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Паспорт
        </mat-panel-title>
      </mat-expansion-panel-header>
      <p>Номер: <span class="bold-text">{{profileInfo.passport.number}}</span></p>
      <p>Серия: <span class="bold-text">{{profileInfo.passport.serial}}</span></p>
      <p>Выдан: <span class="bold-text">{{profileInfo.passport.second_serial}}</span></p>
      <p>Дата выдачи: <span class="bold-text">{{profileInfo.passport.date}}</span></p>
      <p>Зарегистрирован: <span class="bold-text">{{profileInfo.passport.orgAddress}}</span></p>
    </mat-expansion-panel>
    <mat-expansion-panel (opened)="panelOpenState = true"
                         (closed)="panelOpenState = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Банк
        </mat-panel-title>
      </mat-expansion-panel-header>
      <div *ngIf="!!profileInfo.bank">
        <p>Наименование банка: <span class="bold-text">{{profileInfo.bank.bank_name}}</span></p>
        <p>БИК: <span class="bold-text">{{profileInfo.bank.bic}}</span></p>
        <p>Кор. счет: <span class="bold-text">{{profileInfo.bank.kor_bill}}</span></p>
        <p>ФИО: <span class="bold-text">{{profileInfo.bank.name}}</span></p>
        <p>Номер: <span class="bold-text">{{profileInfo.bank.number}}</span></p>
      </div>
      <div *ngIf="!!profileInfo.card">
        <p>ФИО держателя карты: <span class="bold-text">{{profileInfo.card.name}}</span></p>
        <p>Номер карты: <span class="bold-text">{{profileInfo.card.number}}</span></p>
      </div>
    </mat-expansion-panel>
    <mat-expansion-panel (opened)="panelOpenState = true"
                         (closed)="panelOpenState = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Фотографии
        </mat-panel-title>
      </mat-expansion-panel-header>
      <h5>Фото водительского удостоверения с лицевой стороны: </h5> <img src="{{profileInfo.photo.license_front}}">
      <h5>Фото водительского удостоверения с обратной стороны: </h5> <img src="{{profileInfo.photo.license_back}}">
      <h5>Фото паспорта первой страницы: </h5> <img src="{{profileInfo.photo.passport_first_page}}">
      <h5>Селфи с паспортом: </h5> <img src="{{profileInfo.photo.passport_selfie}}">
      <h5>Фото паспорта страница с регистрацией: </h5> <img src="{{profileInfo.photo.passport_reg_page}}">
    </mat-expansion-panel>
  </mat-accordion>
</div>
<mat-form-field class="choose_error">
  <mat-select placeholder="Причина" [formControl]="toppings" multiple>
    <mat-select-trigger>
      {{toppings.value ? (toppings.value.length == 1 ? 'Выбрана ' : 'Выбрано ') + toppings.value.length + (toppings.value.length == 1 ? ' причина' : toppings.value.length < 5 && toppings.value.length > 1 ? ' причины' : ' причин') : ''}}
    </mat-select-trigger>
    <mat-option *ngFor="let topping of toppingList" [value]="topping">{{topping}}</mat-option>
  </mat-select>
</mat-form-field>
<div>
  <h6 *ngFor="let element of toppings.value" style="color: #ff000e">{{element}}</h6>
</div>
<button *ngIf="status != 0" [disabled]="toppings.value && toppings.value.length>0" class="button left-button"
        mat-raised-button
        color="primary" (click)="accept()">Принять
</button>
<button *ngIf="status != 1" [disabled]="!(toppings.value?.length>0)" class="button right-button" mat-raised-button
        color="warn" (click)="reject()">Отклонить
</button>
